Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.obj
Class RecurrenceRule

    java.lang.Object
      local.tomas.mobile.sync.obj.RecurrenceRule

    public class RecurrenceRule

extends java.lang.Object

Nested Class Summary
`static class` | `RecurrenceRule.RecurrenceType`

Constructor Summary
`RecurrenceRule()`

Method Summary
`void` | `addMonth(int month)`
`void` | `addMonthday(int day, char sign)`
`void` | `addOccurrence(int occ)`
`void` | `addWeekday(int weekday)`
`void` | `addYearDay(int day)`
`java.lang.Integer` | `getDuration()`
`java.sql.Timestamp` | `getEndDate()`
`int` | `getInterval()`
`java.util.Map<java.lang.Integer,java.lang.Character>` | `getMonthdays()`
`java.util.Set<java.lang.Integer>` | `getMonths()`
`java.util.Set<java.lang.Integer>` | `getOccurrences()`
`java.lang.Integer` | `getRepetitions()`
`RecurrenceRule.RecurrenceType` | `getType()`
`java.util.Set<java.lang.Integer>` | `getWeekdays()`
`java.util.Set<java.lang.Integer>` | `getYearDays()`
`void` | `setDuration(java.lang.Integer duration)`
`void` | `setEndDate(java.sql.Timestamp endDate)`
`void` | `setInterval(int interval)`
`void` | `setRepetitions(java.lang.Integer repetitions)`
`void` | `setType(RecurrenceRule.RecurrenceType type)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecurrenceRule

    public RecurrenceRule()

Method Detail

### getDuration

    public java.lang.Integer getDuration()

### setDuration

    public void setDuration(java.lang.Integer duration)

### getEndDate

    public java.sql.Timestamp getEndDate()

### setEndDate

    public void setEndDate(java.sql.Timestamp endDate)

### getInterval

    public int getInterval()

### setInterval

    public void setInterval(int interval)

### getType

    public RecurrenceRule.RecurrenceType getType()

### setType

    public void setType(RecurrenceRule.RecurrenceType type)

### getWeekdays

    public java.util.Set<java.lang.Integer> getWeekdays()

### addWeekday

    public void addWeekday(int weekday)

### getMonths

    public java.util.Set<java.lang.Integer> getMonths()

### addMonth

    public void addMonth(int month)

### getYearDays

    public java.util.Set<java.lang.Integer> getYearDays()

### addYearDay

    public void addYearDay(int day)

### getMonthdays

    public java.util.Map<java.lang.Integer,java.lang.Character> getMonthdays()

### addMonthday

    public void addMonthday(int day,
                            char sign)

### getOccurrences

    public java.util.Set<java.lang.Integer> getOccurrences()

### addOccurrence

    public void addOccurrence(int occ)

### getRepetitions

    public java.lang.Integer getRepetitions()

### setRepetitions

    public void setRepetitions(java.lang.Integer repetitions)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.